#!/bin/bash

set -e #< Stop on first error.

COMPANY_ID="networkoptix-metavms"
TARGET_DEVICE="linux_x64"

detect_HW_PLATFORM()
{
    HW_PLATFORM="unknown"
    if [[ $TARGET_DEVICE == "linux_arm32" ]]
    then
        if grep '^Hardware.*:.*BCM2835[[:space:]]*$' /proc/cpuinfo &>/dev/null
        then
            HW_PLATFORM="raspberryPi"
        elif grep '^Hardware.*:.*sun8i[[:space:]]*$' /proc/cpuinfo &>/dev/null
        then
            HW_PLATFORM="bananaPi"
        fi
    fi
}

# TODO: Consider generating installation_info.json in Client-only distributions as well.
INSTALLATION_INFO_JSON="/opt/$COMPANY_ID/installation_info.json"
if [[ ! -f $INSTALLATION_INFO_JSON ]]
then
    detect_HW_PLATFORM
    echo -e "{\n    \"hwPlatform\": \"$HW_PLATFORM\"\n}" >"$INSTALLATION_INFO_JSON"
fi

# Switch off rp_filter for all interfaces to allow
# discover/install cameras with invalid ip addresses
for interface in /proc/sys/net/ipv4/conf/*/rp_filter; do
    echo "0" > ${interface}
done

lsblk -o MODEL -n | grep -v '^$' > /tmp/hddlist || true
